curl --request POST \
--url https://{tenantDomain}/api/v2/client-profiles \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"client_configuration": {
"refresh_token": {
"token_lifetime": {
"default_value": 15778800
},
"idle_token_lifetime": {
"default_value": 15778800
},
"leeway": {
"default_value": 1
}
},
"organization_usage": {},
"organization_require_behavior": {},
"organization_discovery_methods": {
"default_value": []
},
"require_proof_of_possession": {
"default_value": true
}
},
"apply_policy": {
"external_metadata_type": "cimd",
"external_metadata_created_by": "client"
},
"description": "<string>"
}
'import requests
url = "https://{tenantDomain}/api/v2/client-profiles"
payload = {
"name": "<string>",
"client_configuration": {
"refresh_token": {
"token_lifetime": { "default_value": 15778800 },
"idle_token_lifetime": { "default_value": 15778800 },
"leeway": { "default_value": 1 }
},
"organization_usage": {},
"organization_require_behavior": {},
"organization_discovery_methods": { "default_value": [] },
"require_proof_of_possession": { "default_value": True }
},
"apply_policy": {
"external_metadata_type": "cimd",
"external_metadata_created_by": "client"
},
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
client_configuration: {
refresh_token: {
token_lifetime: {default_value: 15778800},
idle_token_lifetime: {default_value: 15778800},
leeway: {default_value: 1}
},
organization_usage: {},
organization_require_behavior: {},
organization_discovery_methods: {default_value: []},
require_proof_of_possession: {default_value: true}
},
apply_policy: {external_metadata_type: 'cimd', external_metadata_created_by: 'client'},
description: '<string>'
})
};
fetch('https://{tenantDomain}/api/v2/client-profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenantDomain}/api/v2/client-profiles",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'client_configuration' => [
'refresh_token' => [
'token_lifetime' => [
'default_value' => 15778800
],
'idle_token_lifetime' => [
'default_value' => 15778800
],
'leeway' => [
'default_value' => 1
]
],
'organization_usage' => [
],
'organization_require_behavior' => [
],
'organization_discovery_methods' => [
'default_value' => [
]
],
'require_proof_of_possession' => [
'default_value' => true
]
],
'apply_policy' => [
'external_metadata_type' => 'cimd',
'external_metadata_created_by' => 'client'
],
'description' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{tenantDomain}/api/v2/client-profiles"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"client_configuration\": {\n \"refresh_token\": {\n \"token_lifetime\": {\n \"default_value\": 15778800\n },\n \"idle_token_lifetime\": {\n \"default_value\": 15778800\n },\n \"leeway\": {\n \"default_value\": 1\n }\n },\n \"organization_usage\": {},\n \"organization_require_behavior\": {},\n \"organization_discovery_methods\": {\n \"default_value\": []\n },\n \"require_proof_of_possession\": {\n \"default_value\": true\n }\n },\n \"apply_policy\": {\n \"external_metadata_type\": \"cimd\",\n \"external_metadata_created_by\": \"client\"\n },\n \"description\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{tenantDomain}/api/v2/client-profiles")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"client_configuration\": {\n \"refresh_token\": {\n \"token_lifetime\": {\n \"default_value\": 15778800\n },\n \"idle_token_lifetime\": {\n \"default_value\": 15778800\n },\n \"leeway\": {\n \"default_value\": 1\n }\n },\n \"organization_usage\": {},\n \"organization_require_behavior\": {},\n \"organization_discovery_methods\": {\n \"default_value\": []\n },\n \"require_proof_of_possession\": {\n \"default_value\": true\n }\n },\n \"apply_policy\": {\n \"external_metadata_type\": \"cimd\",\n \"external_metadata_created_by\": \"client\"\n },\n \"description\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{tenantDomain}/api/v2/client-profiles")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"client_configuration\": {\n \"refresh_token\": {\n \"token_lifetime\": {\n \"default_value\": 15778800\n },\n \"idle_token_lifetime\": {\n \"default_value\": 15778800\n },\n \"leeway\": {\n \"default_value\": 1\n }\n },\n \"organization_usage\": {},\n \"organization_require_behavior\": {},\n \"organization_discovery_methods\": {\n \"default_value\": []\n },\n \"require_proof_of_possession\": {\n \"default_value\": true\n }\n },\n \"apply_policy\": {\n \"external_metadata_type\": \"cimd\",\n \"external_metadata_created_by\": \"client\"\n },\n \"description\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"client_configuration": {
"refresh_token": {
"token_lifetime": {
"default_value": 15778800
},
"idle_token_lifetime": {
"default_value": 15778800
},
"leeway": {
"default_value": 1
}
},
"organization_usage": {
"default_value": "deny"
},
"organization_require_behavior": {
"default_value": "no_prompt"
},
"organization_discovery_methods": {
"default_value": [
"email"
]
},
"require_proof_of_possession": {
"default_value": true
}
},
"apply_policy": {
"external_metadata_type": "cimd",
"external_metadata_created_by": "client"
},
"description": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Create a client profile
Create a client profile. At most one profile is allowed per tenant in this release; attempting to create a second returns 409 Conflict. The profile governs Dynamic CIMD clients matched by its apply_policy at runtime.
curl --request POST \
--url https://{tenantDomain}/api/v2/client-profiles \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"client_configuration": {
"refresh_token": {
"token_lifetime": {
"default_value": 15778800
},
"idle_token_lifetime": {
"default_value": 15778800
},
"leeway": {
"default_value": 1
}
},
"organization_usage": {},
"organization_require_behavior": {},
"organization_discovery_methods": {
"default_value": []
},
"require_proof_of_possession": {
"default_value": true
}
},
"apply_policy": {
"external_metadata_type": "cimd",
"external_metadata_created_by": "client"
},
"description": "<string>"
}
'import requests
url = "https://{tenantDomain}/api/v2/client-profiles"
payload = {
"name": "<string>",
"client_configuration": {
"refresh_token": {
"token_lifetime": { "default_value": 15778800 },
"idle_token_lifetime": { "default_value": 15778800 },
"leeway": { "default_value": 1 }
},
"organization_usage": {},
"organization_require_behavior": {},
"organization_discovery_methods": { "default_value": [] },
"require_proof_of_possession": { "default_value": True }
},
"apply_policy": {
"external_metadata_type": "cimd",
"external_metadata_created_by": "client"
},
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
client_configuration: {
refresh_token: {
token_lifetime: {default_value: 15778800},
idle_token_lifetime: {default_value: 15778800},
leeway: {default_value: 1}
},
organization_usage: {},
organization_require_behavior: {},
organization_discovery_methods: {default_value: []},
require_proof_of_possession: {default_value: true}
},
apply_policy: {external_metadata_type: 'cimd', external_metadata_created_by: 'client'},
description: '<string>'
})
};
fetch('https://{tenantDomain}/api/v2/client-profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenantDomain}/api/v2/client-profiles",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'client_configuration' => [
'refresh_token' => [
'token_lifetime' => [
'default_value' => 15778800
],
'idle_token_lifetime' => [
'default_value' => 15778800
],
'leeway' => [
'default_value' => 1
]
],
'organization_usage' => [
],
'organization_require_behavior' => [
],
'organization_discovery_methods' => [
'default_value' => [
]
],
'require_proof_of_possession' => [
'default_value' => true
]
],
'apply_policy' => [
'external_metadata_type' => 'cimd',
'external_metadata_created_by' => 'client'
],
'description' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{tenantDomain}/api/v2/client-profiles"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"client_configuration\": {\n \"refresh_token\": {\n \"token_lifetime\": {\n \"default_value\": 15778800\n },\n \"idle_token_lifetime\": {\n \"default_value\": 15778800\n },\n \"leeway\": {\n \"default_value\": 1\n }\n },\n \"organization_usage\": {},\n \"organization_require_behavior\": {},\n \"organization_discovery_methods\": {\n \"default_value\": []\n },\n \"require_proof_of_possession\": {\n \"default_value\": true\n }\n },\n \"apply_policy\": {\n \"external_metadata_type\": \"cimd\",\n \"external_metadata_created_by\": \"client\"\n },\n \"description\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{tenantDomain}/api/v2/client-profiles")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"client_configuration\": {\n \"refresh_token\": {\n \"token_lifetime\": {\n \"default_value\": 15778800\n },\n \"idle_token_lifetime\": {\n \"default_value\": 15778800\n },\n \"leeway\": {\n \"default_value\": 1\n }\n },\n \"organization_usage\": {},\n \"organization_require_behavior\": {},\n \"organization_discovery_methods\": {\n \"default_value\": []\n },\n \"require_proof_of_possession\": {\n \"default_value\": true\n }\n },\n \"apply_policy\": {\n \"external_metadata_type\": \"cimd\",\n \"external_metadata_created_by\": \"client\"\n },\n \"description\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{tenantDomain}/api/v2/client-profiles")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"client_configuration\": {\n \"refresh_token\": {\n \"token_lifetime\": {\n \"default_value\": 15778800\n },\n \"idle_token_lifetime\": {\n \"default_value\": 15778800\n },\n \"leeway\": {\n \"default_value\": 1\n }\n },\n \"organization_usage\": {},\n \"organization_require_behavior\": {},\n \"organization_discovery_methods\": {\n \"default_value\": []\n },\n \"require_proof_of_possession\": {\n \"default_value\": true\n }\n },\n \"apply_policy\": {\n \"external_metadata_type\": \"cimd\",\n \"external_metadata_created_by\": \"client\"\n },\n \"description\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"client_configuration": {
"refresh_token": {
"token_lifetime": {
"default_value": 15778800
},
"idle_token_lifetime": {
"default_value": 15778800
},
"leeway": {
"default_value": 1
}
},
"organization_usage": {
"default_value": "deny"
},
"organization_require_behavior": {
"default_value": "no_prompt"
},
"organization_discovery_methods": {
"default_value": [
"email"
]
},
"require_proof_of_possession": {
"default_value": true
}
},
"apply_policy": {
"external_metadata_type": "cimd",
"external_metadata_created_by": "client"
},
"description": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Display name of the client profile.
1 - 128^[^\u0000]*$Runtime policy applied to matched clients. Omitted fields fall back to each client's own setting.
Show child attributes
Show child attributes
Runtime matching rules that determine which clients this profile governs.
Show child attributes
Show child attributes
Optional description of the client profile.
256^[^\u0000]*$Response
Client profile successfully created.
Client Profile identifier.
Display name of the client profile.
1 - 128^[^\u0000]*$Runtime policy applied to matched clients. Omitted fields fall back to each client's own setting.
Show child attributes
Show child attributes
Runtime matching rules that determine which clients this profile governs.
Show child attributes
Show child attributes
Optional description of the client profile.
256^[^\u0000]*$Timestamp of creation.
Timestamp of last update.